XmLGridRead(3X)

NAME
XmLGridRead - import data from a file into a Grid

SYNTAX
int XmLGridRead(widget, file, format, delimiter)
Widget widget;
FILE *file;
int format;
char delimiter;

ARGUMENTS

widget
    Grid widget ID

file
    file to read from

format
    format of the file

delimiter
    delimiter if format is XmFORMAT_DELIMITED

DESCRIPTION
Imports data from a file in a given format into a Grid starting at the top, left-most cell. Format must be either XmFORMAT_XL, where tabs separate columns and cell data is possibly surrounded by double-quotes, or XmFORMAT_DELIMITED, where data is delimited by the delimiter given. In either case, a new-line signifies a new row. The rows and columns imported into must exist at the time of this call. This function does not invoke any callbacks.

RETURN VALUE
The number of cells which had values set by this function.

SEE ALSO
XmLGridReadPos(3X)